Bug 841076 - Apply the posix_fadvise patch from rsync source (patches/drop-cache.diff)
Apply the posix_fadvise patch from rsync source (patches/drop-cache.diff)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsync (Show other bugs)
6.6
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Michal Ruprich
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 01:20 EDT by Anthony Moore
Modified: 2017-09-06 04:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 04:57:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rsync.spec.diff (995 bytes, text/plain)
2012-07-18 01:20 EDT, Anthony Moore
no flags Details
rsync-3.0.7-ftrunc-sparse-files.patch.diff (657 bytes, text/plain)
2012-07-18 01:21 EDT, Anthony Moore
no flags Details

  None (edit)
Description Anthony Moore 2012-07-18 01:20:34 EDT
Created attachment 598782 [details]
rsync.spec.diff

Description of problem:
The Red Hat rsync-3.0.6 RPM does not have the posix_fadvise patch applied.

This patch is not required for correct operation of rsync but it does improve system performance with respect to cached file blocks in memory.  More information is available at http://insights.oetiker.ch/linux/fadvise/

It would be a 'nice to have' if this patch were applied in the official Red Hat RPM's.

Version-Release number of selected component (if applicable):
Red Hat rsync-3.0.6 RPM and below. 
Probably all Red Hat builds of rsync RPMs.

How reproducible:
n/a

Steps to Reproduce:
n/a
  
Actual results:
n/a

Expected results:
n/a

Additional info:
The patch is supplied with the pristine rsync sources in patches/drop-cache.diff

I obtained the SRPM (rsync-3.0.6-4.el5_7.1.src.rpm) and modified rsync.spec to apply this patch (see attached rsync.spec.diff for changes). This broke application of rsync-3.0.7-ftrunc-sparse-files.patch, so I made appropriate modifications (see attached rsync-3.0.7-ftrunc-sparse-files.patch.diff for changes).
Comment 1 Anthony Moore 2012-07-18 01:21:16 EDT
Created attachment 598783 [details]
rsync-3.0.7-ftrunc-sparse-files.patch.diff
Comment 2 Pavel Šimerda (pavlix) 2014-02-12 10:34:06 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 5, and therefore will be moved to Red Hat Enterprise Linux 6. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.
Comment 6 Tomáš Hozza 2017-09-06 04:57:14 EDT
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.